// © 2025 Naked People Team. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "InteractionTarget.generated.h"

// This class does not need to be modified.
UINTERFACE(MinimalAPI)
class UInteractionTarget : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class NAKEDDESIRE_API IInteractionTarget
{
	GENERATED_BODY()

	// Add interface functions to this class. This is the class that will be inherited to implement this interface.
public:
	UFUNCTION(BlueprintNativeEvent, BlueprintCallable, Category = "Interaction Target")
	void Interact();
};
